<?php

/**
 * Copyright © 2016 Affilae. All rights reserved.
 */

namespace Affilae\Tracking\Block\Tracking;

use Affilae\Tracking\Block\BaseBlock;

class Success extends BaseBlock
{
    /**
     * Get the customer id
     *
     * @return int
     */
    public function getCustomerId()
    {
        $customerId = 0;

        $customerSession = $this
            ->_objectManager
            ->get('Magento\Customer\Model\Session');

        if ($customerSession->isLoggedIn()) {
            $customerId = $customerSession->getCustomer()->getId();
        }

        return $customerId;
    }

    /**
     * Get the Affilae rules
     *
     * @return string
     */
    public function getTrackingRules()
    {
        return $this->_trackingHelper->getTrackingRules();
    }

    /**
     * Get the base url used for tracking
     *
     * @return string
     */
    public function getBaseUrl()
    {
        return 'https://lb.affilae.com/';
    }
}
